Subject: Re: bug#28405: Adding entries to LaTeX-indent-environment-list

From: Arash Esbati <[email-masked]>
Date: Wed, 02 Feb 2022 12:45:04 +0100

Uwe Brauer <[email-masked]> writes:

> Suppose you have (or have a received) a file of that form
>
> \documentclass[a4paper]{article}
> \begin{document}
> \begin{equation}
> a = \left.\int very very long expression in one line\begin{array}
>   a
>   a
>   a
> \end{equation}
> \end{document}
>
> So the equation is badly indented and consist of very long lines.

I'd go back to the sender telling him his code is utterly broken and I
will not fix it 😉

> So I basically want  LaTeX-fill-environment to indent the environment
> correctly, and that thanks to the patch is no better, but I also want
> long lines to be broken/wrapped
>
> So far I have seen that I have to jump the end of long lines, press
> space and the line is broken/wrapped, but this extra typing is not very
> comfortable.

Then you have to customize `LaTeX-indent-environment-list' and remove
the entries for 'align', 'equation' and other math environments.  They
will then act like regular environments (in theory).

Best, Arash